package com.dev.swms.server.model.abstractEntity;

import com.dev.energy.server.model.Entity;
import com.dev.swms.server.model.base.Warehouse;
import com.dev.swms.server.model.base.WarehouseArea;

public class ItemList extends Entity{

	//完成品工位清单
	private BigItem bigItem;
	private String code;//品番
	private String name;//品名
	private BomList bomList;//
	private String  modelType;//工位
	private String single;//单用
	private Warehouse warehouse;//仓库
	private WarehouseArea inZone;//收仓库
	private WarehouseArea outZone;//出库仓库
	private String outType;//出库类型
	private String  prophase;//送货提前期
	private String description;//备注
	private String strExtend1;
	private String strExtend2;
	private String strExtend3;
	public BigItem getBigItem() {
		return bigItem;
	}
	public void setBigItem(BigItem bigItem) {
		this.bigItem = bigItem;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public BomList getBomList() {
		return bomList;
	}
	public void setBomList(BomList bomList) {
		this.bomList = bomList;
	}
	public String getModelType() {
		return modelType;
	}
	public void setModelType(String modelType) {
		this.modelType = modelType;
	}
	public String getSingle() {
		return single;
	}
	public void setSingle(String single) {
		this.single = single;
	}
	public Warehouse getWarehouse() {
		return warehouse;
	}
	public void setWarehouse(Warehouse warehouse) {
		this.warehouse = warehouse;
	}
	public WarehouseArea getInZone() {
		return inZone;
	}
	public void setInZone(WarehouseArea inZone) {
		this.inZone = inZone;
	}
	public WarehouseArea getOutZone() {
		return outZone;
	}
	public void setOutZone(WarehouseArea outZone) {
		this.outZone = outZone;
	}
	public String getOutType() {
		return outType;
	}
	public void setOutType(String outType) {
		this.outType = outType;
	}
	public String getProphase() {
		return prophase;
	}
	public void setProphase(String prophase) {
		this.prophase = prophase;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getStrExtend1() {
		return strExtend1;
	}
	public void setStrExtend1(String strExtend1) {
		this.strExtend1 = strExtend1;
	}
	public String getStrExtend2() {
		return strExtend2;
	}
	public void setStrExtend2(String strExtend2) {
		this.strExtend2 = strExtend2;
	}
	public String getStrExtend3() {
		return strExtend3;
	}
	public void setStrExtend3(String strExtend3) {
		this.strExtend3 = strExtend3;
	}
	
	
	
}
